import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class DataService {
    private http;
    private header;
    constructor(http: HttpClient);
    getLists(url: string): Observable<any[]>;
    getList(url: string, listName: string): Observable<any>;
    getItems(siteCollUrl: string, listName: string): Observable<any[]>;
    getUserInfo(url: string, id: number): Observable<any>;
    getChoices(url: string, listName: string, colName: string): Observable<any[]>;
    getValidLists(url: string, listName: string): Observable<any[]>;
}
